#include <bits/stdc++.h>
using namespace std;
int main()
{
    ifstream f1("tinh.inp");
    int n;
    cin>>n;
    f1.close();
    int sa=0,sb=1,sc=0,sd;
    sd=n+1;
    for(int i=2*n+1;i>=1;i--)
    {
       if(i%2!=0)sa+=i;
    }
    for(int k=1;k<=n;k++)
    {
       sb=sb*k;
    }
    for(int j=2;j<=n;j++)
    {
       sc=sc+1/(j*(j+1));
    }

    ofstream f2("tinh.out");
    f2.setf(ios::fixed);
    f2.setf(ios::showpoint);
    f2.precision(2);
    f2<<sa<<endl<<sb<<endl<<sc<<endl<<sd;
    f2.close();
}
